Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 559653 (perl-Class-Generate) - Review Request: perl-Class-Generate - Generate Perl class hierarchies
Summary: Review Request: perl-Class-Generate - Generate Perl class hierarchies
Keywords:
Status: CLOSED NOTABUG
Alias: perl-Class-Generate
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Remi Collet
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW perl-Nmap-Scanner
TreeView+ depends on / blocked
 
Reported: 2010-01-28 17:01 UTC by Pedro Padron
Modified: 2012-06-29 16:49 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-29 16:49:08 UTC


Attachments (Terms of Use)

Description Pedro Padron 2010-01-28 17:01:46 UTC
Spec URL: http://ppadron.blog.br/rpm/specs/perl-Class-Generate.spec

SRPM URL: http://ppadron.blog.br/rpm/srpms/perl-Class-Generate-1.10-1.src.rpm

Description: The Class::Generate package exports functions that take as arguments a class specification and create from these specifications a Perl 5 class. The specification language allows many object-oriented constructs: typed members, inheritance, private members, required members, default values, object methods, class methods, class variables, and more.

This is my first package, therefore I need a sponsor.

I am submitting this package because it is a dependency for perl-Nmap-Scanner, which I will also submit.

Comment 1 Pedro Padron 2010-02-01 18:33:17 UTC
In case it helps, here's the link to a Koji scratch build for dist-f13:

http://koji.fedoraproject.org/koji/taskinfo?taskID=1957117

Comment 2 Pedro Padron 2010-02-08 22:00:09 UTC
Changelog for new release:

- Removed "Provides:" filter in prep section
- Added cpan_name macro

Spec URL: http://ppadron.blog.br/rpm/specs/perl-Class-Generate.spec
SRPM URL: http://ppadron.blog.br/rpm/srpms/perl-Class-Generate-1.10-2.fc12.src.rpm

Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1970313

Comment 3 Remi Collet 2010-02-13 07:26:49 UTC
REVIEW : 

+ rpmlint is ok
perl-Class-Generate.src: I: checking
perl-Class-Generate.noarch: I: checking
2 packages and 1 specfiles checked; 0 errors, 0 warnings.
+ package is named according to the Package Naming Guidelines .
+ spec file name
+ The package must meet the Packaging Guidelines and Perl Guidelines
+ license ok and match upstream (from README ... like perl)
+ spec file is legible
+ sources match upstream
0fcf144585a414d20c99ce9a3491fd05  Class-Generate-1.10.tar.gz
+ source URL ok
+ build on F12 x86_64
+ build on koji (F12 ref in previous post)
+ build on mock (fedora-rawhide-x86_64)
+ BuildRequires ok
+ no locale
+ no shared library
+ no system library
+ own all directories that it creates
+ not list a file more than once in the spec 
+ Permissions on files are set properly.
+ %clean ok
+ consistently use macro
+ contain code
+ small doc, no sub package
+ doc not required to run
+ no -devel
+ no -static
+ no .pc
+ no .la
+ not own files or directories already owned by other packages
+ %install start with rm -rf $RPM_BUILD_ROOT
+ all files are UTF-8
+ %check ok
+ final requires
perl >= 0:5.008
perl(:MODULE_COMPAT_5.10.0)  
perl(Carp)  
perl(Symbol)  
perl(strict)  
perl(vars)  
perl(warnings::register)  
+ final provides
perl(Class::Generate) = 1.10
perl(Class::Generate::Array)  
perl(Class::Generate::Array_Class)  
perl(Class::Generate::Array_Member)  
perl(Class::Generate::Class)  
perl(Class::Generate::Class_Holder)  
perl(Class::Generate::Class_Method)  
perl(Class::Generate::Code_Checker)  
perl(Class::Generate::Constructor)  
perl(Class::Generate::Hash)  
perl(Class::Generate::Hash_Class)  
perl(Class::Generate::Hash_Member)  
perl(Class::Generate::Key_Value)  
perl(Class::Generate::List_Member)  
perl(Class::Generate::Member)  
perl(Class::Generate::Member_Names)  
perl(Class::Generate::Method)  
perl(Class::Generate::Mix)  
perl(Class::Generate::Own)  
perl(Class::Generate::Param_Style)  
perl(Class::Generate::Positional)  
perl(Class::Generate::Scalar_Member)  
perl(Class::Generate::Support)  
perl-Class-Generate = 1.10-2.fc8


You just need to improve you %file.

Using %{perl_vendorlib}/* works but is really too "large". 
Must be more explicit (this will allow you to detect change in a future version and avoid some possible issues)

Use, for example
%{perl_vendorlib}/Class
%{_mandir}/man3/Class*

Comment 4 Jason Tibbitts 2012-06-15 19:58:07 UTC
After something like 2.3 years with no response, perhaps it is time to close this review ticket.

Comment 5 Jason Tibbitts 2012-06-29 16:49:08 UTC
Another two weeks have gone by; I'll just close this.


Note You need to log in before you can comment on or make changes to this bug.